/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct ConfigPrivacySettings {
    #[serde(rename = "ShowEmailAddress", skip_serializing_if = "Option::is_none")]
    pub show_email_address: Option<bool>,
    #[serde(rename = "ShowFullName", skip_serializing_if = "Option::is_none")]
    pub show_full_name: Option<bool>,
}

impl ConfigPrivacySettings {
    pub fn new() -> ConfigPrivacySettings {
        ConfigPrivacySettings {
            show_email_address: None,
            show_full_name: None,
        }
    }
}
